-- gfx is shorthand for Graphics for the following

local files = " "
local gfx_background_table = {}
local gfx_button_table = {}
local gfx_effect_table = {}
local gfx_healthbox_table = {}
local gfx_hud_table = {}
local gfx_icon_table = {}
local gfx_ship_table = {}

function load_graphics()																								-- ** MAIN LOAD **

	-- table to contain graphics
	gfx = {}
		  
	-- each folder has its own function
	load_ships()
	load_buttons()
	load_effects()
	load_backgrounds()
	load_huds()
	load_icons()
	load_healthBox()

	-- holds all of the graphics in a table
	gfx = {	
		[1] = gfx_background_table,
		[2] = gfx_button_table,
		[3] = gfx_effect_table,
		[4] = gfx_healthbox_table,
		[5] = gfx_hud_table,
		[6] = gfx_icon_table,
		[7] = gfx_ship_table
		  }
	
end

function load_ships() 																									-- ** SHIPS **	
	files = lf.enumerate("Graphics/Ships/Small") -- makes a numbered list of the images
	for k, files in ipairs(files) do -- goes through the list in order
		gfx_ship_table[k] = lg.newImage("Graphics/Ships/Small/" .. k .. ".png") -- sets each image to table
	end
end

function load_buttons()																									-- ** BUTTONS **
	files = lf.enumerate("Graphics/Buttons") -- makes a numbered list of the images
	for k, files in ipairs(files) do -- goes through the list in order
		gfx_button_table[k] = lg.newImage("Graphics/Buttons/" .. k .. ".png") -- sets each image to table
	end
end	

function load_healthBox()																								-- ** HEALTHBOX **
	files = lf.enumerate("Graphics/Health Boxes") -- makes a numbered list of the images 
	for k, files in ipairs(files) do -- goes through the list in order
		gfx_healthbox_table[k] = lg.newImage("Graphics/Health Boxes/" .. k .. ".png") -- sets each image to table
	end	
end

function load_effects()																									-- ** EFFECTS **
	files = lf.enumerate("Graphics/Effects") -- makes a numbered list of the images	 
	for k, files in ipairs(files) do -- goes through the list in order
		gfx_effect_table[k] = lg.newImage("Graphics/Effects/" .. k .. ".png") -- sets each image to table
	end	
end

function load_backgrounds()																								-- ** BACKGROUND **
	files = lf.enumerate("Graphics/Backgrounds") -- makes a numbered list of the images	 
	for k, files in ipairs(files) do -- goes through the list in order
		gfx_background_table[k] = lg.newImage("Graphics/Backgrounds/" .. k .. ".jpg") -- sets each image to table
	end
end

function load_huds()																									-- ** HUDS **	
	files = lf.enumerate("Graphics/Huds") -- makes a numbered list of the images	 
	for k, files in ipairs(files) do -- goes through the list in order
		gfx_hud_table[k] = lg.newImage("Graphics/Huds/" .. k .. ".png") -- sets each image to table
	end	
end

function load_icons()																									-- ** ICONS **
	files = lf.enumerate("Graphics/Icons") -- makes a numbered list of the images	 
	for k, files in ipairs(files) do -- goes through the list in order
		gfx_icon_table[k] = lg.newImage("Graphics/Icons/" .. k .. ".png") -- sets each image to table
	end	
end

--function love.update(dt)																								-- ** MAIN UPDATE **

--[[	Examples of using animations
  
	gfx_effect_table[1]:update(dt)		-- Updating Animations
	gfx_effect_table[2]:update(dt)		-- Updating Animations
	gfx_effect_table[3]:update(dt)		-- Updating Animations
	gfx_effect_table[4]:update(dt)		-- Updating Animations
	gfx_effect_table[5]:update(dt)		-- Updating Animations
	gfx_effect_table[6]:update(dt)		-- Updating Animations
  
]]--
  
--end