 ents = {}
 ents.objects = {}
 ents.objpath = "Objects/entities/"
local register = {}
local id = 0

function ents.Startup()

	register["enemy"] = love.filesystem.load( ents.objpath .. "enemy.lua" )
	register["shot"] = love.filesystem.load( ents.objpath .. "shot.lua" )
	register["enemyshot1"] = love.filesystem.load( ents.objpath .. "enemyshot1.lua" )
	register["enemyshot2"] = love.filesystem.load( ents.objpath .. "enemyshot2.lua" )
	register["enemyshot3"] = love.filesystem.load( ents.objpath .. "enemyshot3.lua" )
	register["shot2"] = love.filesystem.load( ents.objpath .. "shot2.lua" )
	register["shot3"] = love.filesystem.load( ents.objpath .. "shot3.lua" )

end

function ents.Derive(name)
	return love.filesystem.load( ents.objpath .. name .. ".lua" )()
end

function ents.Create(name, x, y)
	if not x then
		x = 0
	end
	
	if not y then
		y = 0
	end
	
	if register[name] then
		id = id + 1
		local ent = register[name]()
		ent:load()
		ent.type = name
		ent:setPos(x, y)
		ent.id = id
		ents.objects[id] = ent
		return ents.objects[id]
	else
		print("Error: Entity " .. name .. " does not exist! Snap!")
		return false;
	end
end

function ents.Destroy( id )
	if ents.objects[id] then
		ents.objects[id] = nil
	end
end

function ents:update(dt)
	for i, ent in pairs(ents.objects) do
		if ent.update then
			ent:update(dt)
		end
	end
end

function ents:draw()
	for i, ent in pairs(ents.objects) do
		if ent.draw then
			ent:draw()
		end
	end
end
