-- sfx is shorthand for Sounds for the following

local files = " "
local sfx_music_table = {}
local sfx_sfx_table = {}


function load_sounds()																								-- ** MAIN LOAD **

	-- table to contain sounds
	sfx = {}
		  
	-- each folder has its own function
	load_music() 
	load_sfx()	


	-- holds all of the sounds in a table
	sfx = {	
		[1] = sfx_music_table,
		[2] = sfx_sfx_table
		  }
	
end

function load_music() 																									-- ** MUSIC **	
	files = lf.enumerate("Sounds/Music") -- makes a numbered list of the sounds
	for k, files in ipairs(files) do -- goes through the list in order
		sfx_music_table[k] = la.newSource("Sounds/Music/" .. k .. ".ogg", "stream") -- sets each sound to table
	end
end

function load_sfx()																									-- ** SFX **
	files = lf.enumerate("Sounds/SFX") -- makes a numbered list of the sounds
	for k, files in ipairs(files) do -- goes through the list in order
		sfx_sfx_table[k] = la.newSource("Sounds/SFX/" .. k .. ".ogg", "static") -- sets each sound to table
	end
end	
